Taslak Taşı

From FreeCAD Documentation
Revision as of 20:58, 3 September 2021 by Heda (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Move.svg Taşı

Menü konumu
Taslak → Taşı
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
M V
Versiyonda tanıtıldı
0.7
Ayrıca bkz
Dizi, Yol dizisi

Tanım

Taşı aracı, seçilen nesneleri bir noktadan diğerine taşır veya kopyalar.

Taşı aracı, Taslak tezgahı veya Eskiz tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı ve Yapı tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Draft Move example.jpg

Bir nesneyi bir noktadan diğer bir noktaya taşıma

Nasıl kullanılır

See also: Draft Snap and Draft Constrain.

  1. Taşımak veya kopyalamak istediğiniz nesneleri seçin.
  2. Draft Move.svg Taşı düğmesine basın veya M ardından V tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3B görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu işlemin temel noktası olarak görev yapar.
  4. 3B görünümünde başka bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta düğmesine basın. Bu, temel noktadaki yeni konumdur.

Seçenekler

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, bir sonraki noktanın koordinatları sonuncusuna göre değişir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, işlemi tamamladıktan sonra Taşı aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan nesneleri yeniden taşımanıza veya kopyalamanıza olanak tanır.
  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Taşıma aracı orijinal şekli yerinde tutacak ancak ikinci noktada bir kopya oluşturacaktır. : Sırayla birkaç kopya yerleştirmek için hem T hem de P kullanabilirsiniz. Bu durumda, kopyalanan öğe en son yerleştirilen kopyadır.
  • Kopyalama moduna geçmek için ilk noktadan sonra Alt tuşunu basılı tutun. İkinci noktaya tıkladıktan sonra Alt tuşunun basılı tutulması kopya yerleştirmeye devam etmenizi sağlayacaktır; İşlemi bitirmek ve tüm kopyaları görmek için Alt tuşunu bırakın.
  • snapping noktanızı mesafeden bağımsız olarak, snapping noktasını zorlamak için hareket ederken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı yatay veya dikey olarak sonuncuya göre constrain konumuna getirirken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş kopyalar kalacaktır.

Notes

  • An Object that is attached cannot be moved with the Draft Move command. To move it either its VeriSupport object has to be moved, or its VeriAttachment Offset has to be changed.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General settings → Draft tools options → Select base objects after copying.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Taşı aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

moved_list = move(objectslist, vector, copy=False)
  • objectslist içindeki nesnelerin temel noktasını vector ile gösterilen yer değiştirme ve yönlere göre hareket ettirir.
    • objectslist, tek bir nesne veya bir nesne listesidir. : Yer değiştirme vektörü, nesnenin temel noktasına göredir, yani bir nesne 2 birim ve sonra başka bir 2 birim hareket ettirilirse, toplamda 4 birim orijinal konumundan hareket etmiş olur.
  • copy ise True ise orijinal nesneleri taşımak yerine kopyalar oluşturulur.
  • movedlist, orijinal taşınan nesnelerle veya yeni kopyalarla birlikte döndürülür. ** movedlist, objectslist girişine bağlı olarak tek bir nesne veya nesne listesidir.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))

list1 = [polygon1, polygon2, polygon3]

vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()